%global packname  munsell
%global rlibdir  %{_datadir}/R/library


Name:             R-%{packname}
Version:          0.4.3
Release:          1%{?dist}.111
Summary:          Utilities for Using Munsell Colours

Group:            Applications/Engineering 
License:          MIT + file LICENSE
URL:              http://cran.r-project.org/web/packages/%{packname}/index.html
Source0:          http://cran.r-project.org/src/contrib/%{packname}_%{version}.tar.gz
BuildRoot:        %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

# Here's the R view of the dependencies world:
# Depends:   
# Imports:   R-colorspace R-methods
# Suggests:  R-ggplot2 R-testthat
# LinkingTo:
# Enhances:

BuildArch:        noarch
Requires:         R-core


Requires:         R-colorspace R-methods 
#Requires:         R-ggplot2 R-testthat 
BuildRequires:    R-devel tex(latex) 
BuildRequires:    R-colorspace R-methods 
#BuildRequires:   R-ggplot2 R-testthat 

%description
Provides easy access to, and manipulation of, the Munsell colours.
Provides a mapping between Munsell's original notation (e.g. "5R 5/10")
and hexadecimal strings suitable for use directly in R graphics. Also
provides utilities to explore slices through the Munsell colour tree, to
transform Munsell colours and display colour palettes.

%prep
%setup -q -c -n %{packname}

%build

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{rlibdir}
%{_bindir}/R CMD INSTALL -l %{buildroot}%{rlibdir} %{packname}
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -f %{buildroot}%{rlibdir}/R.css

%check
# %{_bindir}/R CMD check %{packname}

%clean
rm -rf %{buildroot}

%files
%defattr(-, root, root, -)
%dir %{rlibdir}/%{packname}
%doc %{rlibdir}/%{packname}/html
%{rlibdir}/%{packname}/DESCRIPTION
%doc %{rlibdir}/%{packname}/NEWS.md
%license %{rlibdir}/%{packname}/LICENSE
%{rlibdir}/%{packname}/INDEX
%{rlibdir}/%{packname}/NAMESPACE
%{rlibdir}/%{packname}/Meta
%{rlibdir}/%{packname}/R
%{rlibdir}/%{packname}/raw
%{rlibdir}/%{packname}/help


%changelog
* Wed Jan 18 2017 Oleg Girko <ol@infoserver.lv> 0.4.3-1
- Initial package for Fedora
- Checks disabled so far (circular dependencies)
